#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int a;
    int t;
    bool cekasledeceg=false;
    bool nadjen=false;
    for (int i=0; i<n; i++){
        int x;
        cin>>x;
        if (i==0){
            a=x;
        }
        if (i>=0 && i<=n-1){
            if (cekasledeceg==true){
                t=x;
                nadjen=true;
            }
            else if (x==k){
                cekasledeceg=true;
            }
        }
        if (nadjen==true){break;}
        if (nadjen==false && i==n-1){
            t=a;
        }
    }
    cout<<t<<endl;
    return 0;
}